Subject: Re: linux-next: sound tree build failure

From: Takashi Iwai <[email-masked]>
Date: Thu, 26 Feb 2009 09:46:18 +0100

At Thu, 26 Feb 2009 14:07:46 +1100,
Stephen Rothwell wrote:
> 
> [1  <text/plain; US-ASCII (quoted-printable)>]
> Hi Takashi,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> sound/soc/codecs/wm8753.c: In function 'wm8753_probe':
> sound/soc/codecs/wm8753.c:1577: error: implicit declaration of function 'wm8753_add_controls'
> 
> Probably introduced by commit c2bac1606a937d4700f8fdd8e051a4c49593c41b
> ("ASoC: Convert WM8753 to register via normal device probe").

Indeed it is.  Sorry, I skipped the build test yesterday after this
merge.

I think the patch below fixes the problem, but as I'm not sure where is
Mark's intention, I'd like to let him checking.

thanks,

Takashi

---
diff --git a/sound/soc/codecs/wm8753.c b/sound/soc/codecs/wm8753.c
index 2241204..7f353e9 100644
--- a/sound/soc/codecs/wm8753.c
+++ b/sound/soc/codecs/wm8753.c
@@ -1574,7 +1574,8 @@ static int wm8753_probe(struct platform_device *pdev)
 		goto pcm_err;
 	}
 
-	wm8753_add_controls(codec);
+	snd_soc_add_controls(codec, wm8753_snd_controls,
+			     ARRAY_SIZE(wm8753_snd_controls));
 	wm8753_add_widgets(codec);
 	ret = snd_soc_init_card(socdev);
 	if (ret < 0) {